Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class Conversion

    java.lang.Object
      org.jboss.util.Conversion

public class Conversion
extends Object

Version:
  $Revision: 1.1 $
Author:
  Francisco Reverbel

Constructor Summary
`Conversion()`

Method Summary
`static byte[]` | `toByteArray(Object obj)` Receives an object and converts it into a byte array.
`static Object` | `toObject(byte[] a)` Receives a byte array previously returned by a call to `toByteArray` and retrieves an object from it.
`static Object` | `toObject(byte[] a, ClassLoader cl)` Receives a classloader and a byte array previously returned by a call to `toByteArray` and retrieves an object from it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Conversion

    public Conversion()

Method Detail

### toByteArray

    public static byte[] toByteArray(Object obj)

  Receives an object and converts it into a byte array. Used to embed a JBoss oid into the "reference data" (object id) field of a CORBA reference.

### toObject

    public static Object toObject(byte[] a,
                                  ClassLoader cl)
                           throws IOException,
                                  ClassNotFoundException

  Receives a classloader and a byte array previously returned by a call to `toByteArray` and retrieves an object from it. Used to extract a JBoss oid from the "reference data" (object id) field of a CORBA reference.

  Throws:
    `IOException`
    `ClassNotFoundException`

### toObject

    public static Object toObject(byte[] a)
                           throws IOException,
                                  ClassNotFoundException

  Receives a byte array previously returned by a call to `toByteArray` and retrieves an object from it. Used to extract a JBoss oid from the "reference data" (object id) field of a CORBA reference.

  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.